/*22. Write a query in SQL to list all the movies with title, year, date of release, movie duration, and first and last name 
of the director which released before 1st January 1989, and sort the result set according to release date from highest date 
to lowest.*/
SELECT movie.mov_title, mov_year, mov_dt_rel,  
       mov_time,dir_fname, dir_lname   
FROM movie  
JOIN  movie_direction   
   ON movie.mov_id = movie_direction.mov_id  
JOIN director   
   ON movie_direction.dir_id=director.dir_id  
WHERE mov_dt_rel <'01/01/1989'  
ORDER BY mov_dt_rel desc; 